import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * A world for the sudoku to live in
 */
public class myWorld extends World
{
    boolean added = false;

    /**
     * Constructor for objects of class myWorld.
     * 
     */
    public myWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(9, 9, 50, false); 
        drawBG();
        buildBoard();
        addObject(new generator(), -11, 0);
        addObject(new wait(), 4,4);
        Greenfoot.start();
    }

    public void drawBG()
    {
        getBackground().setColor(Color.BLACK);
        getBackground().fillRect(145,0,5,500);
        getBackground().fillRect(295,0,5,500);
        getBackground().fillRect(0,145,500,5);
        getBackground().fillRect(0,295,500,5);
    }

    public void buildBoard()
    {
        brain.startSolver();
        int s = 0, xid = 0, yid = 0;
        while(s<9)
        {
            for(int i=0;i<9;i++)
            {
                addObject(new cell(xid, yid), s, i);
                xid++;
            }
            s++;
            xid = 0;
            yid++;
        }
    }
}
