import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A simple sudoku solver using recursion and backtracking.
 * 
 * Starts with a random board with some default given-spaces.
 * 
 * @DonaldDuck
 */

public class brain
{
    protected static int board[][] = new int[9][9] ;
    protected static int view[][] = board;
    protected static int ini_board[][] = board;
    static int difficulty = 1;
    static boolean can_start = false;

    private static int rnd()
    {
        return Greenfoot.getRandomNumber(8)+1;
    }

    public static void startDefault()
    {
        // Start with some defaults but an unsolvable puzzle
        board[0][0] = rnd();
        board[0][4] = rnd();
        board[0][6] = rnd();
        board[0][7] = rnd();
        board[1][0] = rnd();
        board[1][4] = rnd();
        board[1][7] = rnd();
        board[2][1] = rnd();
        if(difficulty<2)
        {
            board[2][3] = rnd();
            board[2][7] = rnd();
            board[3][0] = rnd();
        }
        board[3][2] = rnd();
        board[4][1] = rnd();
        board[4][3] = rnd();
        if(difficulty<3)
        {
            board[4][5] = rnd();
            board[4][7] = rnd();
        }
        board[5][6] = rnd();
        board[5][8] = rnd();
        board[6][1] = rnd();
        if(difficulty<3)
        {
            board[6][5] = rnd();
            board[6][7] = rnd();
        }
        board[7][1] = rnd();
        board[7][4] = rnd();
        board[7][8] = rnd();
        board[8][1] = rnd();
        board[8][2] = rnd();
        board[8][4] = rnd();
        board[8][8] = rnd();

        ini_board = board;
    }

    protected static void updateView()
    {
        for(int row = 0; row<9; row++)
        {
            for(int col = 0; col<9; col++)
            {
                view[row][col] = board[row][col];
            }
        }
    }

    public static void startSolver()
    {
        for(int r=0; r<9; r++)
        {
            for(int c=0; c<9; c++)
            {
                board[r][c] = 0;
            }
        }
        view = board;
        ini_board = board;
        can_start = false;
        startDefault();
    }
}